WCSCASECMP(3)

NAME
wcscasecmp, wcsncasecmp - compare wide strings, ignoring case

SYNOPSIS
#include <wchar.h>
int
wcscasecmp(const wchar_t *s1, const wchar_t *s2);
int
wcsncasecmp(const wchar_t *s1, const wchar_t *s2, size_t len);

DESCRIPTION
The wcscasecmp() and wcsncasecmp() functions compare the wide strings s1 and s2 and return an integer greater than, equal to, or less than 0, according to whether s1 is lexicographically greater than, equal to, or less than s2 after translation of each corresponding wide character to lower case. The wide strings themselves are not modified.

wcsncasecmp() compares at most len wide characters.

SEE ALSO
strcasecmp(3), wcscmp(3), wmemcmp(3)

STANDARDS
The wcscasecmp() and wcsncasecmp() functions conform to p1003.1-2008.

HISTORY
The wcscasecmp() and wcsncasecmp() functions first appeared in OpenBSD 5.0.

AUTHORS
The OpenBSD versions of wcscasecmp() and wcsncasecmp() were implemented by Marc Espie <espie@openbsd.org>.